com.sun.jna.platform.unix

## Class X11.Visual

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.unix.X11.Visual

All Implemented Interfaces:
  NativeMapped

Enclosing interface:
  X11

    public static class X11.Visual
    extends PointerType

### Constructor Summary

Constructors
Constructor and Description
`Visual()`

### Method Summary

All Methods Instance Methods Concrete Methods
`X11.VisualID` `getVisualID()`
`java.lang.String` `toString()`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Visual

    public Visual()

### Method Detail

#### getVisualID

    public X11.VisualID getVisualID()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `PointerType`

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.